/* Important: Contextual links can break the layout because they 
 * show up as first grid elements, same problem as for views which 
 * can have a header/footer region
 */

/*
 * 
 * Full organisation/event
 *
 */

 @media screen and (min-width: $tablet) {
  .node--type-organisation.node--view-mode-full,
  .node--type-event.node--view-mode-full  {
    display: grid;
    grid-template-areas: "pre   pre   pre"
                         "title title title"
                         "image sinfo sinfo"
                         "locat summa summa"
                         "addon descr descr"
                         "foote foote foote";

    grid-template-columns: repeat(3, 1fr);
  }
}

@media screen and (min-width: $desktop) {
  .node--type-organisation.node--view-mode-full,
  .node--type-event.node--view-mode-full  {
    grid-template-areas: "pre   pre   pre   pre   pre   pre   pre"
                         "...   title title title title title title"
                         "image image sinfo sinfo sinfo locat locat"
                         "...   summa summa summa summa addon addon"
                         "...   descr descr descr descr addon addon"
                         "...   foote foote foote foote addon addon";

    grid-template-columns: repeat(7, 1fr);
  }
}

/*
 * 
 * Full article
 *
 */

@media screen and (min-width: $tablet) {
  .node--type-article.node--view-mode-full  {
    display: grid;
    grid-template-areas: "pre   pre   pre"
                         "title title title"
                         "addon summa summa"
                         "addon descr descr"
                         "foote foote foote";

    grid-template-columns: repeat(3, 1fr);
  }
}

@media screen and (min-width: $desktop) {
  .node--type-article.node--view-mode-full  {
    grid-template-areas: "pre   pre   pre   pre   pre   pre   pre"
                         "...   ...   title title title title ...  "
                         "addon addon summa summa summa summa ...  "
                         "addon addon descr descr descr descr ...  "
                         "addon addon foote foote foote foote ...  ";

    grid-template-columns: repeat(7, 1fr);
  }
}

/*
 * 
 * Full page
 *
 */


@media screen and (min-width: $desktop) {
  .node--type-page.node--view-mode-full  {
    display: grid;
    grid-template-areas: "pre   pre   pre   pre   pre   pre   pre"
                         "...   title title title title title title"
                         "...   toc   toc   toc   toc   toc   toc"
                         "...   descr descr descr descr descr addon"
                         "...   foote foote foote foote foote addon";

    grid-template-columns: repeat(7, 1fr);
    .field--name-node-title {
      grid-area: title;
    }
  }
}

/*
 * 
 * Other view modes
 *
 * E.g. used in event teaser
 *
 */

/* We use ds layouts and remove the ds libraries and add our own styling */

@media screen and (min-width: $tablet) {
  .ds-2col {
    display: grid;
    grid-gap: var(--space-md);
    grid-template-columns: 1fr 2fr;
  }
}

.ds-2col > div > * {
  padding-bottom: var(--space-xs);
}

@media screen and (min-width: $tablet) {
  .h4c-event--teaser {
    display: grid;
    grid-template-columns: 1fr 4fr 1fr;
  }
}

/*
 *
 * Grid element areas
 *
 */

.content-moderation-entity-moderation-form {
  grid-area: pre;
}
.h4c-titlebar {
  grid-area: title;
}
.field--name-field-image {
  grid-area: image;
}
.h4c-info {
  grid-area: sinfo;
}
.field--name-field-summary {
  grid-area: summa;
}
.h4c-sidebar {
  grid-area: addon;
}
.field--name-field-h4c-body {
  grid-area: descr;
}
.h4c-footerbar {
  grid-area: foote;
}
.h4c-ds-chain--geofield {
  grid-area: locat;
}
.toc-js {
  grid-area: toc;
}
